Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.pipe.tsf
Class TokenTextCharNGrams

    java.lang.Object
      cc.mallet.pipe.Pipe
          cc.mallet.pipe.tsf.TokenTextCharNGrams

All Implemented Interfaces:
  AlphabetCarrying, java.io.Serializable

    public class TokenTextCharNGrams

extends Pipe
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`TokenTextCharNGrams()`
`TokenTextCharNGrams(java.lang.String prefix, int[] gramSizes)`
`TokenTextCharNGrams(java.lang.String prefix, int[] gramSizes, boolean distinguishBorders)`

Method Summary
`Instance` | `pipe(Instance carrier)` Really this should be 'protected', but isn't for historical reasons.

Methods inherited from class cc.mallet.pipe.Pipe
`alphabetsMatch, getAlphabet, getAlphabets, getDataAlphabet, getInstanceId, getTargetAlphabet, instanceFrom, instancesFrom, instancesFrom, isDataAlphabetSet, isTargetProcessing, newIteratorFrom, preceedingPipeDataAlphabetNotification, preceedingPipeTargetAlphabetNotification, precondition, readResolve, setDataAlphabet, setOrCheckDataAlphabet, setOrCheckTargetAlphabet, setTargetAlphabet, setTargetProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenTextCharNGrams

    public TokenTextCharNGrams(java.lang.String prefix,
                               int[] gramSizes,
                               boolean distinguishBorders)

### TokenTextCharNGrams

    public TokenTextCharNGrams(java.lang.String prefix,
                               int[] gramSizes)

### TokenTextCharNGrams

    public TokenTextCharNGrams()

Method Detail

### pipe

    public Instance pipe(Instance carrier)

  Description copied from class: `Pipe`
  Really this should be 'protected', but isn't for historical reasons.

  Overrides:
    `pipe` in class `Pipe`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD